%define		php_name	php%{?php_suffix}
%define		modname		imagick
%define		status		stable
Summary:	%{modname} - PHP wrapper to the Image Magick Library
Summary(pl.UTF-8):	%{modname} - PHP-owy wrapper do biblioteki Image Magick
Name:		%{php_name}-pecl-%{modname}
Version:	3.1.2
Release:	4
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	f2fd71b026debe056e0ec8d76c2ffe94
Patch0:		ImageMagick-6.8.patch
URL:		http://pecl.php.net/package/imagick/
BuildRequires:	%{php_name}-devel >= 3:5.1.3
BuildRequires:	ImageMagick-devel >= 1:6.2.4.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires(triggerpostun):	sed >= 4.0
Suggests:	ImageMagick-coder-jpeg
Suggests:	ImageMagick-coder-png
Suggests:	ImageMagick-coder-tiff
Provides:	php(imagick) = %{version}
Obsoletes:	php-pecl-imagick < 3.1.2-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ImageMagick is a robust collection of tools and libraries to read,
write, and manipulate an image in many image formats (over 68 major
formats) including popular formats like TIFF, JPEG, PNG, PDF, PhotoCD,
and GIF. With ImageMagick you can create images dynamically, making it
suitable for Web applications. You can also resize, rotate, sharpen,
color reduce, or add special effects to an image and save your
completed work in the same or differing image format.

In PECL status of this package is: %{status}.

%description -l pl.UTF-8
ImageMagick to duży zestaw narzędzi i bibliotek do odczytu, zapisu i
modyfikowania obrazków w wielu formatach (ponad 68 głównych), w tym
popularnych, takich jak TIFF, JPEG, PNG, PDF, PhotoCD i GIF. Za pomocą
ImageMagick można dynamicznie tworzyć obrazki, co jest przydatne w
aplikacjach WWW. Można je także przeskalowywać, obracać, wyostrzać,
zmniejszać ilość kolorów - w tym samym lub innym formacie.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -q -c
mv %{modname}-%{version}/* .
%patch0 -p1

%build
phpize
%configure \
	php_cv_cc_dashr=false

%{__make} \
	CFLAGS_CLEAN="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir},%{_examplesdir}/%{name}-%{version}}
install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%triggerpostun -- %{name} < 0.9.11-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*%{modname}\.so/d' %{php_sysconfdir}/php.ini

%files
%defattr(644,root,root,755)
%doc CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%{_examplesdir}/%{name}-%{version}
%changelog
* Thu May 22 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-imagick.git;a=log;h=master

* Thu May 22 2014 Elan Ruusamäe <glen@delfi.ee> ee3b6a5
- versioned provides

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> c056a9a
- obsolete old php name
- release 3 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> 0331098
- php 5.5 rebuild
- release 2 (by relup.sh)

* Thu Nov 21 2013 Elan Ruusamäe <glen@delfi.ee> a9be72e
- Merge branch 'DEVEL', updated to 3.1.2

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 696a2b4
- support building for multiple php versions

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> 4f20351
- fix building witrh ImageMagick 6.8.x
- rel 5

* Sat Dec 01 2012 Elan Ruusamäe <glen@delfi.ee> 6e32b6a
- suggest IM web coders

* Mon Nov 05 2012 Elan Ruusamäe <glen@delfi.ee> b5d4400
- up to 3.1.0RC2, builds with php 5.4, merged php_suffix support from master

* Mon Nov 05 2012 Elan Ruusamäe <glen@delfi.ee> 77bd0b1
- allow building for php54 (-D php_suffix 54)

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 86c5574
- use php(core) as dependency to require php version
- release 3 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> d013431
- release 3 (by relup.sh)

* Thu Mar 10 2011 lisu <lisu@pld-linux.org> 7cbdeb4
- up to 3.1.0b1

* Thu Nov 24 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5506dcc
- release 2

* Mon Jan 03 2011 lisu <lisu@pld-linux.org> e176cf6
- updated to 3.0.1

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 042c6cc
- release 5

* Thu Dec 09 2010 lisu <lisu@pld-linux.org> 94870f6
- rel 4 (new ImageMagick)

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 5b3c9ed
- restore md5

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> c3cb436
- release 3

* Mon Jan 18 2010 amateja <amateja@pld-linux.org> ab5db2b
- release 2

* Thu Aug 20 2009 amateja <amateja@pld-linux.org> a3abfeb
- updated to 2.3.0

